/*
 * "Grundkurs Programmieren in Java (6. Auflage, 2011)"
 * 2003-2011, Carl Hanser Verlag
 * Loesungsvorschlag zu Aufgabe 12.5 (Version 2.0)
 * (c) 2003-2011 D. Ratz, J. Scheffler, D. Seese, J. Wiesenberger
 *
 */
import java.math.BigInteger;
 
public class BigFakul {
  
  private static BigInteger ONE = BigInteger.valueOf(1);
  
  /** Fakultaetsberechnung */
  public static BigInteger fakultaet(BigInteger zahl) {
    BigInteger res = ONE;
    while (zahl.compareTo(ONE) > 0) {
      res = res.multiply(zahl);
      zahl = zahl.subtract(ONE);
    }
    return res;
  }
  
  public static void main (String[] args) {
    BigInteger zahl = new BigInteger(args[0]);
    BigInteger fakultaet = fakultaet(zahl);
    System.out.println(zahl + "! = " + fakultaet);
  }
}
