/*
 * "Grundkurs Programmieren in Java (6. Auflage, 2011)"
 * 2003-2011, Carl Hanser Verlag
 * Loesungsvorschlag zu Aufgabe 12.9 (Version 2.0)
 * (c) 2003-2011 D. Ratz, J. Scheffler, D. Seese, J. Wiesenberger
 *
 */

import java.text.*;
public class FestPunktFormat {
  private static final DecimalFormat 
    pos = new DecimalFormat("+0.000000000"),
    nul = new DecimalFormat(" 0.000000000"),
    neg = new DecimalFormat("0.000000000");

  // Methode zur Formatierung
  public String format (double d) {
    if (d > 0)
      return pos.format(d);
    if (d == 0)
      return nul.format(d);
    else
      return neg.format(d);
  }
  
  // Einige Tests
  public static void main (String[] args) {
    double x = 9.654321;
    FestPunktFormat f = new FestPunktFormat();
    for (int i=1; i<=10; i++) {
      System.out.println(f.format(x));
      x = - x / 12.3;
    }
    System.out.println(f.format(0));
  }
}
