/*
 * "Grundkurs Programmieren in Java (6. Auflage, 2011)"
 * 2003-2011, Carl Hanser Verlag
 * Loesungsvorschlag zu Aufgabe 12.16 (Revision 1.1)
 * (c) 2003-2011 D. Ratz, J. Scheffler, D. Seese, J. Wiesenberger
 *
 */

import Prog1Tools.IOTools;
import java.util.*;

public class WortVerzeichnis {
  public static void main (String[] args) {
    // Erstelle die Wortliste
    StringTokenizer st = new StringTokenizer(
      IOTools.readLine("Text: ").toUpperCase()," .,;-!?:\"'()");
    Set<String> worte = new HashSet<String>();
    while(st.hasMoreTokens())
      worte.add(st.nextToken());
    // Sortiere die Wortliste
    List<String> sortiert = new ArrayList<String>(worte);
    Collections.sort(sortiert);
    // Gib das Ergebnis aus
    System.out.println("Wortliste: " + sortiert);
  }
}
