/*
 * "Grundkurs Programmieren in Java (6. Auflage, 2011)"
 * 2003-2011, Carl Hanser Verlag
 * Loesungsvorschlag zu Aufgabe 15.4 (Version 2.0)
 * (c) 2003-2011 D. Ratz, J. Scheffler, D. Seese, J. Wiesenberger
 *
 */

import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

class MausLauscher extends MouseAdapter {
  Container c;
  JRadioButton rBox, gBox, bBox;

  public MausLauscher (Container c, JRadioButton rBox, 
                                    JRadioButton gBox, 
                                    JRadioButton bBox) {
    this.c = c;
    this.rBox = rBox;
    this.gBox = gBox;
    this.bBox = bBox;
  }
  
  public void mousePressed(MouseEvent e) {
    float r = 0, g = 0, b = 0;
    if (rBox.isSelected()) 
      r = (float) Math.random(); 
    else if (gBox.isSelected()) 
      g = (float) Math.random(); 
    else
      b = (float) Math.random(); 
    c.setBackground(new Color(r,g,b));
  }  
}
  

