/*
 * "Grundkurs Programmieren in Java (6. Auflage, 2011)"
 * 2003-2011, Carl Hanser Verlag
 * Loesungsvorschlag zu Aufgabe 16.1 (Version 2.0)
 * (c) 2003-2011 D. Ratz, J. Scheffler, D. Seese, J. Wiesenberger
 *
 */

public class Punkt {

  private double x, y;

  public Punkt(double x, double y) { 
    this.x = x; this.y = y;
  }

  public double getX() {
    return this.x;
  }

  public double getY() {
    return this.y;
  }

  public void drehen (double phi) {
    double xAlt = this.x;
    this.x = this.x * Math.cos(phi) - y * Math.sin(phi);
    this.y = xAlt   * Math.sin(phi) + y * Math.cos(phi);
  }    

} // class Punkt
  
