/*
 * "Grundkurs Programmieren in Java (6. Auflage, 2011)"
 * 2003-2011, Carl Hanser Verlag
 * Loesungsvorschlag zu Aufgabe 19.1 (Version 2.0)
 * (c) 2003-2011 D. Ratz, J. Scheffler, D. Seese, J. Wiesenberger
 *
 */

import java.io.*;
public class Kopiere {
  public static void main(String[] args) {
    try {
      File inputFile  = new File(args[0]);           // Eingabedatei
      File outputFile = new File(args[1]);           // Ausgabedatei
      FileReader in   = new FileReader(inputFile);   // Eingabestrom
      FileWriter out  = new FileWriter(outputFile);  // Ausgabestrom
      int c;
      while ((c=in.read()) != -1) // Einlesen mit Test auf Strom-Ende
        out.write(c);             // Ausgeben in Datei
      in.close();
      out.close(); 
      System.out.println(args[0] + " kopiert nach " + args[1]); 
    }
    catch(ArrayIndexOutOfBoundsException ae) {
      System.out.println("Aufruf:  java Kopiere <Quelle> <Ziel>");
    }
    catch(IOException e) {
      System.out.println(e);
    }
  }
}
