/*
 * "Grundkurs Programmieren in Java (6. Auflage, 2011)"
 * 2003-2011, Carl Hanser Verlag
 * Loesungsvorschlag zu Aufgabe 19.3 (Version 2.0)
 * (c) 2003-2011 D. Ratz, J. Scheffler, D. Seese, J. Wiesenberger
 *
 */

import java.io.*;
class VokalWandel {
  public static void main(String[] args) {
    String name = null;
    char vokal;
    File ein, aus;
    BufferedReader einLeser;
    PrintWriter ausSchreiber;
    try {
      name = args[0];
      vokal = args[1].charAt(0);
      ein = new File(name);
      aus = new File(name+".ausgabe");
      einLeser = new BufferedReader(new FileReader(ein));
      ausSchreiber = new PrintWriter(new FileWriter(aus));
    }
    catch (ArrayIndexOutOfBoundsException aioobe) {
      System.out.println("Aufruf:  java VokalWandel <Dateiname> <Vokal>");
      return;
    }
    catch (FileNotFoundException fnfe) {
      System.out.println("Die Datei " + name + " existiert nicht");
      return;
    }
    catch (Exception e) {
      System.out.println(e);
      return;
    }

    char[] aeiouK = {'a', 'e', 'i', 'o', 'u'};
    char[] aeiouG = {'A', 'E', 'I', 'O', 'U'};
    char vK = Character.toLowerCase(vokal);
    char vG = Character.toUpperCase(vokal);
    try {
      String zeile = einLeser.readLine();
      while (zeile != null) {
        for (int i=0; i<5; i++) {
          zeile = zeile.replace(aeiouK[i],vK);
          zeile = zeile.replace(aeiouG[i],vG);
        }
        ausSchreiber.println(zeile);
        System.out.println(zeile);
        zeile = einLeser.readLine();
      }
      ausSchreiber.close();
    }
    catch (IOException ioe) {
      System.out.println(ioe);
    }
  }
}
