/*
 * "Grundkurs Programmieren in Java (6. Auflage, 2011)"
 * 2001-2011, Carl Hanser Verlag
 * Loesungsvorschlag zu Aufgabe 4.28 (Version 3.1)
 * (c) 2001-2011 D. Ratz, J. Scheffler, D. Seese, J. Wiesenberger
 *
 * Das Programm zerlegt zusaetzlich die Zahl auch noch
 * vorwaerts
 *
 */


import Prog1Tools.IOTools;

public class Zerlegung {

  public static void main(String [] args) {

    int zahl;
    int rest;
    String ziffer;
    String vorwaerts;

    zahl = IOTools.readInteger("Positive ganze Zahl: ");

    while ( zahl < 0 ) {
      System.out.println( "Zahl muss positiv sein!" );
      zahl = IOTools.readInteger("Positive ganze Zahl: ");
    }


    ziffer = "";
    vorwaerts = "";                 // freiwillig

    System.out.print("Zerlegt rueckwaerts: ");
    while (zahl != 0) {
      rest = zahl % 10;
      zahl = zahl / 10;
      switch (rest) {
        case 1: ziffer = "eins";   break;
        case 2: ziffer = "zwei";   break;
        case 3: ziffer = "drei";   break;
        case 4: ziffer = "vier";   break;
        case 5: ziffer = "fuenf";  break;
        case 6: ziffer = "sechs";  break;
        case 7: ziffer = "sieben"; break;
        case 8: ziffer = "acht";   break;
        case 9: ziffer = "neun";   break;
        case 0: ziffer = "null";   break;
      }
      System.out.print(ziffer + " ");
      vorwaerts = ziffer + " " + vorwaerts;  // freiwillig
    }
    System.out.println();
    System.out.println("Zerlegt vorwaerts:   " + vorwaerts);  // freiwillig
  }

}
