/*
 * "Grundkurs Programmieren in Java - (6. Auflage, 2011)"
 * 2001-2011, Carl Hanser Verlag
 * Loesungsvorschlag zu Aufgabe 9.11 a) (Version 3.0)
 * (c) 2001-2011 D. Ratz, J. Scheffler, D. Seese, J. Wiesenberger
 *
 */

public class GelochtePlatte extends MetallPlatte {

  private int anzahlLoecher = 0;
  private double lochLaenge, lochBreite;
  private MetallPlatte[] loch;

  public GelochtePlatte (double laenge, double breite, int maxAnzahlLoecher) {
    super(laenge, breite);
    loch       = new MetallPlatte[maxAnzahlLoecher];
    lochLaenge = laenge/maxAnzahlLoecher/2;
    lochBreite = breite/maxAnzahlLoecher/2;
  }
  
  public void neuesLochStanzen () {
    if (anzahlLoecher < loch.length) {
      loch[anzahlLoecher] = new MetallPlatte (lochLaenge, lochBreite);
      anzahlLoecher++;
      System.out.println("Loch Nr. " + anzahlLoecher + " gestanzt");
    }
  }
  
  public double flaeche() {
    double f = super.flaeche();
    for (int i=0; i < anzahlLoecher; i++) 
      f = f - loch[i].flaeche();
    return f;
  }

}

