/*
 * "Grundkurs Programmieren in Java - (6. Auflage, 2011)"
 * 2001-2011, Carl Hanser Verlag
 * Loesungsvorschlag zu Aufgabe 9.8 (Version 3.0)
 * (c) 2001-2011 D. Ratz, J. Scheffler, D. Seese, J. Wiesenberger
 *
 */

import Prog1Tools.IOTools;
import Prog1Tools.Plottable;
import Prog1Tools.Plotter;

public class Funktionsplotter implements Plottable {

  static double tlinks, trechts;

  public double inf () {
    return tlinks;
  }

  public double sup () {
    return trechts;
  }

  public double x (double t) {
    return t;
  }

  public double y (double t) {
    return Math.sin(t);
  }

  /* *** Eintrittsfunktion *** */
  public static void main (String[] args) {
    Plotter plotter;

    tlinks  = IOTools.readDouble( "tlinks > "  );
    trechts = IOTools.readDouble( "trechts > " );

    plotter = new Plotter( new Funktionsplotter(), "sin-Plot" );
    plotter.setNumOfPoints ( 100 );
    plotter.showGrid( true );
    plotter.adjustGrid( 0.2, 0.2 );
    plotter.setVisible( true );

    System.out.println( "Zum Beenden bitte [strg]+[c] druecken" );
  }

}
