/*
 * "Grundkurs Programmieren in Java - (6. Auflage, 2011)"
 * 2001-2011, Carl Hanser Verlag
 * Loesungsvorschlag zu Aufgabe 9.8 (Version 3.0)
 * (c) 2001-2011 D. Ratz, J. Scheffler, D. Seese, J. Wiesenberger
 *
 * Benoetigt 'Funktionplotter.java'
 *
 */

import Prog1Tools.IOTools;
import Prog1Tools.Plottable;
import Prog1Tools.Plotter;

public class Funktionsplotter2 extends Funktionsplotter {

  // ueberschreiben: 'cos(x)' statt 'sin(x)'
  public double y (double t) {
    return Math.cos(t);
  }

  /* *** Eintrittsfunktion *** */
  public static void main (String[] args) {
    Plotter plotter;

    tlinks  = IOTools.readDouble( "tlinks > "  );
    trechts = IOTools.readDouble( "trechts > " );

    plotter = new Plotter( new Funktionsplotter2(), "sin-Plot" );
    plotter.setNumOfPoints ( 100 );
    plotter.showGrid( true );
    plotter.adjustGrid( 0.2, 0.2 );
    plotter.setVisible( true );

    System.out.println( "Zum Beenden bitte [strg]+[c] druecken" );
  }

}
