/*
 * "Grundkurs Programmieren in Java (6. Auflage, 2011)"
 * 2003-2011, Carl Hanser Verlag
 * Loesungsvorschlag zu Aufgabe 18.2 (Version 2.0)
 * (c) 2003-2011 D. Ratz, J. Scheffler, D. Seese, J. Wiesenberger
 *
 */

class BessererWert extends Wert {
  private boolean verfuegbar = false;
  public synchronized int get() {
    while (!verfuegbar)
      try {
        wait();
      }
      catch (InterruptedException ie) {
      }
    verfuegbar = false;
    notify();
    return wert;
  }
  public synchronized void put (int w) {
    while (verfuegbar)
      try {
        wait();
      }
      catch (InterruptedException ie) {
      }
    wert = w;
    verfuegbar = true;
    notify();
  }
}
