/*
 * "Grundkurs Programmieren in Java (6. Auflage, 2011)"
 * 2003-2011, Carl Hanser Verlag
 * Loesungsvorschlag zu Aufgabe 20.3 (Version 2.0)
 * (c) 2003-2011 D. Ratz, J. Scheffler, D. Seese, J. Wiesenberger
 *
 */

import java.io.*;
import java.net.*;

class TalkServer {
  
  public static void main( String[] args ) {
    Socket c1;
    Socket c2;
    // Argumentanzahl berprfen
    if (args.length == 1) {
      // Port-Nummer bestimmen
      int port = Integer.parseInt( args[0] );
      // try-catch-Block beginnen
      try {
        // Einen Socket fr den Server erzeugen
        ServerSocket server = new ServerSocket( port );
        System.out.println("Der Server laeuft");
        // Endlosschleife
        while (true) {
          // Fr je zwei Clients, die eine Verbindung aufbauen,
          // zwei Talk-Dienst Threads starten
          c1 = server.accept();
          c2 = server.accept();
          new TalkDienst(c1,c2).start();
          new TalkDienst(c2,c1).start();
        }
      }
      catch (IOException e) {
        e.printStackTrace();
      }
    }
    else {
      // Hinweis fr korrekten Aufruf auf die Konsole ausgeben
      System.out.println( "Aufruf: java TalkServer <PortNummer>" );
    }
  }
}