/*
 * "Grundkurs Programmieren in Java (6. Auflage, 2011)" 
 * 2001-2011, Carl Hanser Verlag
 * Loesungsvorschlag zu Aufgabe 4.26 (Version 3.1)
 * (c) 2001-2011 D. Ratz, J. Scheffler, D. Seese, J. Wiesenberger
 *
 */


import Prog1Tools.IOTools;

public class Quersumme2 {

  public static void main (String[] args) {

    int zahl;
    int querSumme;
    int aktuelleZiffer;

    zahl = IOTools.readInteger( "Positive ganze Zahl eingeben: " );

    // eingegebene Zahl im zulaessigen Bereich?
    while ( zahl < 1 || zahl > 9999 ) {
      System.out.println( "Zahlen kleiner 1 und groesser 9999 nicht zugelassen!" );
      zahl = IOTools.readInteger( "Positive ganze Zahl eingeben: " );
    }


    System.out.println( "\nDie Quersumme ergibt sich zu: " );
    querSumme = 0;

    while ( zahl != 0 ) {

      aktuelleZiffer = zahl % 10;  // letzte Ziffer auslesen
      zahl           = zahl / 10;  // letzte Ziffer abschneiden
      querSumme     += aktuelleZiffer;
      System.out.print( aktuelleZiffer  );
      if ( zahl != 0 ) System.out.print( " + " ); // nach 'letzter' (eigentlich: erster) Ziffer darf kein '+' ausgegeben werden
    }

    System.out.println( " = " + querSumme );
  }

}
