/*
 * "Grundkurs Programmieren in Java - (6. Auflage, 2011)"
 * 2001-2011, Carl Hanser Verlag
 * Loesungsvorschlag zu Aufgabe 9.12 (Version 3.0)
 * (c) 2001-2011 D. Ratz, J. Scheffler, D. Seese, J. Wiesenberger
 *
 * benoetigt 'SpielFigur.java'
 *
 */

public class DameFigur extends SpielFigur {

  // b)
  private final String name = "Dame";


  // Konstruktor
  public DameFigur (char x, int y, String f) {
    super( x, y, f);
  }


  // c)
  public void ziehe (char richtung, int anzahl)
  {
    switch (richtung) {

      case '-':
        ziehe( anzahl, 0 );
      break;

      case '|':
        ziehe( 0, anzahl );
      break;

      case '/':
        ziehe( anzahl, anzahl );
      break;

      case '\\':
        ziehe( anzahl, -anzahl );
      break;

      default:
        System.out.println( "Warnung: unzulaessigs Zeichen!" );

    }

  }


  // d)
  public boolean trifft (DameFigur andereFigur) {
     return getXpos() == andereFigur.getXpos() && getYpos() == andereFigur.getYpos();
  }

  // e)
  public String toString() {
    return getFarbe() + "e Dame auf Feld " + getXpos() + getYpos();
  }

}
