/*
 * "Grundkurs Programmieren in Java - (6. Auflage, 2011)"
 * 2001-2011, Carl Hanser Verlag
 * Loesungsvorschlag zu Aufgabe 9.2 (Version 3.0)
 * (c) 2001-2011 D. Ratz, J. Scheffler, D. Seese, J. Wiesenberger
 *
 */

import Prog1Tools.IOTools;

public class WaehrungsKalkulator {

  public static void main (String[] args) {

    double dmBetrag;
    Euro betrag;
    Lire lire;
    Franc franc;

    dmBetrag = IOTools.readDouble( "DM-Betrag > " );
    betrag = new DM( dmBetrag );

    lire  = new Lire ( betrag );
    franc = new Franc( betrag );

    System.out.println( "in Euro:  " + betrag.euroBetrag()     );
    System.out.println( "in Lire:  " + lire.waehrungsBetrag()  );
    System.out.println( "in Franc: " + franc.waehrungsBetrag() );

  }

}

/*
  Bsp-Ablauf-Protokoll:

  E:\hiwi\temp>java WaehrungsKalkulator
  DM-Betrag > 10
  in Euro:  5.112918811962185
  in Lire:  9899.99130803802
  in Franc: 33.53854885138279

*/
